<?php
require('../config.php');

session_start();
$idMateria =$_POST['idMateria'];
$cantidad =$_POST['cantidad'];
$precio_unitario =$_POST['precio_unitario'];
$total_compra =$_POST['total_compra'];
$fecha_compra =$_POST['fecha_compra'];
$tipo_compra =$_POST['tipo_compra'];
$proveedor =$_POST['proveedor'];
$clave_compra =$_POST['clave_compra'];
$unidad_medida =$_POST['unidad_medida'];
$id=$_SESSION['cveUsuario'];

// id_proveedor id_tipo_compra cmp_clave_compra cmp_total_pagar cmp_fecha_compra cmp_usuario is_active
// id_inventario id_proveedor id_compra cin_cantidad cin_precio_unitario cin_total cin_usuario is_active
try{
    
    //hace la conexión real con la BD
    $cnn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_NAME);
    mysqli_set_charset($cnn, "utf8mb4");

    mysqli_select_db($cnn, DB_NAME);

    $query_compra = "INSERT INTO compras 
                VALUES(null, '$proveedor', '$tipo_compra','$clave_compra', '$total_compra', '$fecha_compra','$unidad_medida','$id', '0', '1', CURRENT_TIME(), CURRENT_TIME())"; 
    $res1 = mysqli_query($cnn, $query_compra);

    $id_compra = $cnn->insert_id;
                
    $query_cinventario = "INSERT INTO compras_inventarios 
                VALUES(null, '$idMateria', '$proveedor','$id_compra', '$cantidad', '$precio_unitario','$total_compra', '$id', '1', CURRENT_TIME(), CURRENT_TIME())";
    $res2 = mysqli_query($cnn, $query_cinventario);            
    $query_sum_inventario = "UPDATE materia_prima SET map_existencia = map_existencia + '$cantidad' where id = '$idMateria'";
    $res = mysqli_query($cnn, $query_sum_inventario);
    $res =1;
}catch(Exception $e){
    $res=$e;
}
echo $res;
?>